Page MenuHomePhabricator

[llgo] set debuglocs for calls in synthetic functions
ClosedPublic

Authored by axw on Jul 28 2016, 1:38 AM.

Details

Summary

Synthesized functions do not have valid locations,
and so we were not setting a debug location. Recent
changes to DI require that function call instructions
within a function having DI must have a location set.
We just set the debug location to line=0, col=0.

Diff Detail

Repository
rL LLVM

Event Timeline

axw updated this revision to Diff 65885.Jul 28 2016, 1:38 AM
axw retitled this revision from to [llgo] set debuglocs for calls in synthetic functions.
axw updated this object.
axw added a reviewer: pcc.
axw added a subscriber: llvm-commits.
pcc accepted this revision.Sep 19 2016, 3:14 PM
pcc edited edge metadata.

LGTM

This revision is now accepted and ready to land.Sep 19 2016, 3:14 PM
meadori added a subscriber: meadori.Dec 5 2016, 6:04 PM

Would someone mind committing this?
(I am happy to do so myself if no one has the cycles.)

With this patch, D27441, and D27442 llgo builds on trunk again.

This revision was automatically updated to reflect the committed changes.